From 5b41479aeb04f41e719c03e60c6d58e30b6ef878 Mon Sep 17 00:00:00 2001
From: David Tolnay <dtolnay@gmail.com>
Date: Oct 31 2020 23:58:14 +0000
Subject: [PATCH 1109/2232] Fix stray delete in Error move constructor


---

diff --git a/src/cxx.cc b/src/cxx.cc
index d18bec9..43bf245 100644
--- a/src/cxx.cc
+++ b/src/cxx.cc
@@ -180,7 +180,6 @@ Error::Error(const Error &other) {
 }
 
 Error::Error(Error &&other) noexcept {
-  delete[] this->msg.ptr;
   this->msg = other.msg;
   other.msg.ptr = nullptr;
   other.msg.len = 0;

